

/*responsive*/
@media (min-width: 1299.9px) and (max-width: 1399.9px) {
  .container-lg{max-width: 1240px;}
}

@media (min-width: 2200px) {
  .walkthrough-section.bg-image::before{
    clip-path: circle(50% at 50% 160%);
  }
}

@media (max-width: 1399.9px) {
  .container-xxl{--bs-gutter-x: 3rem;}
  .testimonial-slide .inner{aspect-ratio: 1;}
  .newsBox.swiper-slide{width: 40%;}
  .project-line-prop{left: 1rem;}
  .stats-box-wrapper .inner{padding: 5rem 4rem;}
  
  .section-container-sticky, .stats-section{
    height: 200vh;
  }
  .stats-section .position-sticky{
    height: auto;
    overflow: auto;
  }
}

@media (max-width: 1280px) {
  .stats-box-wrapper .inner{padding: 5rem 3rem;}
}

@media (max-width: 1199.9px) {
  .testim-bg-img{height: 100%; width: 100%;}
  .swiper-button-next.lg, .swiper-button-prev.lg, .iconBox .ikon{width: 80px; height: 80px;}
  .section-satyalife{padding-right: 2rem;}
}

@media (max-width: 1024px) {
    /* .banner{height: 60vh;} */
}

@media (max-width: 991.9px) {
  html{font-size: 87.5%;}
  .navi ul li a i{font-size: 100%;}
  .banner{height: auto; aspect-ratio: 1;}
  .hero-controls{bottom: 1rem; left: 1rem !important; transform: translateX(0) !important; width: max-content;}
  .overview-heading .heading h2{width: 100%;}
  .l-exquisite-list__content-layer{padding-left: 0;}
  .swiper-middle-controls .swiper-button-next, .swiper-middle-controls .swiper-rtl .swiper-button-prev,
  .swiper-middle-controls .swiper-button-prev, .swiper-middle-controls .swiper-rtl .swiper-button-next{transform: none;}
  .footer-bottom>div{flex-wrap: wrap;}
  .footer-logo .img-fluid {max-width: 200px;}

  .overview-img .overview-logo{max-width: 250px;}
  .testimBox .inner{padding: 2rem;}
  .readmore{margin-top: 3rem;}
  .footerAbout .footerSocial{gap: 10px;}
  .project-text-img{aspect-ratio: 2/1;}
  .project-text{text-align: center;}
  .gallery-slide img{aspect-ratio: 2/1;}
  .amenity-text > .inner{padding: 3rem 1rem; text-align: center;}
  .amenity-wrapper{height: auto !important; padding: 0 1rem 1rem;}
  .amenity-wrapper::before{width: 100%;}
  .amenity-slider{height: auto !important;}
  .amenity-box.swiper-slide{opacity: 1;}
  .amenity-box .img-fluid{width: 100%;}
  .floorwise-listing{bottom: auto; width: 300px;}

  .mapBox{height: 400px;}
  .button-top{right: auto; left: 20px;}

  .stats-box-wrapper .inner{padding-top: 8rem;}
  .project-logo-container{top: 6rem;}
  .project-logo-container .img-fluid{max-width: 250px;}
  .clubhouse-section, .clubhouse-section picture img, .clubhouse-section .min-vh-100{min-height: 70vh !important;}
  .amenity-textWrapper .inner{padding: var(--primary-padding) 2rem;}
  .entertainmentBox.padding{padding-top: 0;}
  .bedroomBox .inner{padding: 0 2rem;}
  .charSlide {width: 70%;}
  .charSlide img{height: auto; aspect-ratio: 7/8;}
  .charSlide .caption{font-size: 3.5rem;}
  .location-content .inner{max-width: 100%; padding: var(--primary-padding) 0; text-align: center;}
  .scroll-section .block-text{bottom: 5%;}
  .enquiryContent .inner, .touchFormWrapper{min-height: auto;}

  .hexaGrid{
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: center;
  }
  .diff-box{
    max-width: calc((100% / 3) - 1rem);
    flex: 0 0 calc((100% / 3) - 1rem);
  }
  .satya-difference-box .inner{
    padding: 2rem 1rem;
  }
  .diff-box .inner::before{
    transform: none !important;
    border: 1px solid rgb(255 255 255/50%);
  }
}

@media (max-width: 767.9px) {
  html {font-size: 75%;}
  .container, .container-xxl{max-width: 100%; padding-left: 2rem; padding-right: 2rem;}
  .enquiryWrapper{--width: 36px;}
  .logo-icon img {max-width: 200px;}
  
  /* .banner {height: 550px;} */
  .scrollDown{bottom: 1rem;}
  .bannerText h5 {max-width: 350px;}
  .statsWrapper {margin-top: 2rem;}
  .readmore .button{min-width: 130px;}
  .section-gallery .gall-slide.swiper-slide{height: 500px;}
  .section-gallery .gall-slide .gall-slide-footer{padding: 7rem 1.5rem 3rem; justify-content: space-between;}
  .section-gallery .swiper-pagination{bottom: 0;}
  .project-slide .rera{top: 40%; font-size: 10px;}
  .iconBox .ikon{width: 50px; height: 50px;}
  .foot-About .insideBox{display: flex; flex-wrap: wrap; gap: 0 1rem; margin-bottom: 2rem;}
  .footer-logo{margin-bottom: 2rem;}
  .section-container-sticky, .project-logo-section, .project-section-image, .stats-section{height: auto;}
  .stats-section{position: relative; pointer-events: initial;}
  .stats-box-wrapper .inner{transform: none; padding: 5rem 4rem 4rem;}
  .stats-image{clip-path: none; height: auto !important;}

  .swiper-slide.testimonial-slide{width: 80%;}

  .overview-heading .inner{margin-right: auto; text-align: center; max-width: 500px;}
  .order-1 .overview-img{max-width: 100%; aspect-ratio: 3/2;}
  .section-satyalife{padding-left: var(--primary-padding);}
}

@media (max-width: 575.9px) {
  :root{--header-height: 44px; --primary-padding: 3rem;}
  .menu-modal{padding: 2.5rem;}
  .logo{height: 45px;}
  .menuBtn.closeMenuBtn span::before{-webkit-transform: skewY(45deg) translate(0, -6px); transform: skewY(45deg) translate(0, -6px);}
  .menuBtn.closeMenuBtn span::after{-webkit-transform: skewY(-45deg) translate(0, -16px); transform: skewY(-45deg) translate(0, -16px);}
  .about-stats.padding{padding: 2rem 0 1rem;}
  .l-exquisite-content{height: auto; text-align: left;}
  .l-exquisite-content .top-box, .l-exquisite-content .bottom-box{width: 100%; margin: 0 auto;}
  .l-exquisite-content .top-box{height: 190px;}
  .l-exquisite-content .bottom-box{max-width: 100%;}
  .l-exquisite-content .bottom-box .exquisite-article{right: auto; left: 0; transform: translateX(0);}
  .project-content .inner{padding: 0 2rem;}
  .project-content article{max-width: 440px;}
  .project-slide{margin-top: 2rem; margin-right: auto; width: calc(84% + 2rem);}
  .hm-project-img{aspect-ratio: 4/3;}
  .newsBox.swiper-slide{width: 60%;}
  
  .footer-logo .img-fluid{max-width: 140px;}

  .inside-banner + .padding.hm-overview-container{padding-top: 2rem;}

  .enquiryWrapper{--width: 32px;}
  .heroText .heading{margin-left: auto; margin-right: auto;}
  .heroText .heading.hasline::before{left: calc(50% - (var(--wd) / 2));}
  .heading .h1, div[class^='col'].project-slide .project-box-title, .project-slide.swiper-slide-active .project-box-title{font-size: 2rem;}
  div[class^='col'].project-slide .project-box-title, .project-slide.swiper-slide-active .project-box-title{font-weight: 300;}
  .features-wrapper{padding-bottom: 0;}
  .featImg-2, .featImg-4{display: none;}
  .features:nth-child(3){position: static;}
  .location-wrapper .inner{padding-left: 2rem; padding-right: 2rem;}

  .foot-contact li a{padding: 15px;}
  .foot-contact li a p{font-size: 1.25rem;}
  .footer-area{text-align: center;}
  .foot-menu:not(:last-of-type) .insideBox{padding-bottom: 20px; border-bottom: 1px dashed rgb(0 0 0 / 25%); margin-bottom: 20px;}
  .foot-menu ul{display: flex; flex-wrap: wrap; gap: 10px 20px; justify-content: center;}
  .footer-bottom{padding: 1.5rem 0;}
  .footerSocial{justify-content: center;}
  .smallHeading{font-size: 1.25rem;}

  div[class^='swiper-button']{width: 32px; height: 32px; padding: 10px;}
  button.close{right: 5px;}
  .readmore .button.button-sm {padding: 8px 1.5rem;}

  .charSlide .img-fluid{padding: 0;}
  .charSlide .caption{font-size: 2.5rem;}

  .leaderImage img{aspect-ratio: 1;}

  .section-satyalife{padding: 2rem;}
  .section-satyalife :is(.parent, .parent2){display: flex; flex-wrap: wrap; height: auto;}
  .section-satyalife :is(.parent, .parent2) > div{width: calc(50% - 5px); aspect-ratio: 5/4;}

  /* .breadcrumb-item.active{width: 280px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap;} */
  .breadcrumb-item+.breadcrumb-item::before{padding-right: 0.5rem;}
  .brand-slider {--brandHeight:60px; --brandWidth: 100px;}
}

@media (max-width: 480px) {
  body, .section-overview .text-justify{text-align: center;}
  .heading{margin-bottom: 1rem;}
  .readmore{margin-top: 1.75rem;}
  button[class^='carousel-control'] {
    width: 30px;
    height: 30px;
    top: auto;
    bottom: auto;
    bottom: 6px;
  }
  .carousel-control-next {
    right: calc(50% - 32px);
  }
  .carousel-control-prev {
    left: calc(50% - 32px);
  }
  .h2, h2 {
    font-size: 2rem;
    text-align: center;
  }
  .section-overview .heading h2 {
    font-size: 1.5rem;
  }
  .heading :is(.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6) {
    font-size: 1.75rem;
  }
  .l-exquisite-content .top-box {
    height: 160px;
  }
  .footer-logo .img-fluid{max-width: 125px;}
  .footer-menu-toggle{padding: 0 1rem 2rem;}
  .footer-bottom>div{justify-content: center;}
  .button-top{width: 30px; height: 30px; line-height: 30px;}

  .charSlide{width: 100%;}
  .charSlide .caption{top: auto; bottom: 2rem; transform: translate(-50%, 0);}

  .stats-box-wrapper .inner{padding: 4rem 2rem;}
  .swiper-slide.testimonial-slide{width: 95%;}

  .ethos-container .position-sticky{top: 25%;}
  .diff-box{
    max-width: calc((100% / 2) - 0.5rem);
    flex: 0 0 calc((100% / 2) - 0.5rem);
  }
  .satya-difference-box .inner .ikon{max-width: 32px;}

  .icon-circular{
    flex: 0 0 32px;
    width: 32px;
    height: 32px;
  }

  .date-filter{flex-direction: column-reverse;}
  .toggleHeader{flex-wrap: wrap;}
  .toggleHeader.btn-group>.btn{flex: 0 0 calc(100% / 6);}
  .newsBox.swiper-slide{width: 80%;}

  .blogTextContainer .inner{
    padding: 1rem;
    text-align: left;

    & .heading :is(h1, .h1, h2, .h2){
      text-align: left;
    }
  }

  .author-section{
    & .heading{
      margin-left: auto;
      margin-right: auto;
    }
    & .author-contentBox{
      justify-content: center;
      & .author-text{
        flex: 0 0 100%;
        text-align: center;
      }
    }
  }

  .recentArticleBox{
    text-align: start;
  }
}

@media (max-width: 425px) {
  .overview-img .overview-logo{max-width: 150px;}
  .h2, h2 {font-size: 1.75rem;}
  .statsWrapper .statsBox .inner{padding: 1rem 0;}
}

@media (max-width: 375px) {
}

@media (max-width: 360px) {
}

@media (max-width: 320px) {
}